Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000759 [Piwigo] authentication minor N/A 2007.09.30 23:25 2008.06.07 22:22
Reporter ddtddt View Status public  
Assigned To rub
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version Butterfly 1 Product Version 1.7.0
  Target Version 2.0.0 Product Build
Summary 0000759: Réaliser un test sur le mél pour éviter plusieur utilisateur pour un mél
Description Ne pourrai t-on pas rajouter un option de test sur l’adresse mél pour qu’un utilisateur ne puisse pas se ré inscrite avec une adresse mél déjà enregistrer.

Que s'il essai cela l’envoie vers une page qui lui dit que cette adresse mél est déjà utilisé.
Steps To Reproduce
Additional Information http://forum.phpwebgallery.net/viewtopic.php?pid=72433#p72433 [^]
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0001996)
rub (developer)
2007.10.01 12:54

Sauf contre avis, je ne me mets pas d'options pour savoir s'il est autorisé à avoir des emails en double.
(0001998)
rub (developer)
2007.10.02 00:09

[Subversion] r2115

Pour la fonction validate_mail_address, j'ai hésité entre passer des paramètres (check doublons, etc) ou un test sur le define pour savoir si on est à l'installation ou non.

=> la fonction validate_mail_address ne doit être utilisé que lors de la création d'un utilisateur, si elle devait l'être autrement, je changerais l'implémentation.
(0002000)
rvelices (developer)
2007.10.05 03:17

on ne peut plus updater le profil d'un utilisateur ...
j'ai l'erreur email en double, mais c'est moi qui a le mail ...
(0002001)
rub (developer)
2007.10.05 13:22

> on ne peut plus updater le profil d'un utilisateur ...
No comment! Je me suis loupé.... 2 fois en plus en dev & en test
-1 pour ruru

Je revois ma copie.
(0002002)
rub (developer)
2007.10.06 08:40
edited on: 2007.10.06 08:40

> Je revois ma copie.
Ca devrait aller mieux!

[Subversion] r2124


- Issue History
Date Modified Username Field Change
2007.09.30 23:25 ddtddt New Issue
2007.09.30 23:25 ddtddt browser => any
2007.09.30 23:25 ddtddt Web server => Apache 1.3.x
2007.10.01 12:53 rub Status new => assigned
2007.10.01 12:53 rub Assigned To => rub
2007.10.01 12:54 rub Note Added: 0001996
2007.10.01 18:35 rub Additional Information Updated
2007.10.02 00:09 rub Status assigned => resolved
2007.10.02 00:09 rub Fixed in Version => Butterfly 1
2007.10.02 00:09 rub Resolution open => fixed
2007.10.02 00:09 rub Note Added: 0001998
2007.10.02 00:12 rub Status resolved => feedback
2007.10.02 00:12 rub Resolution fixed => reopened
2007.10.02 00:12 rub Additional Information Updated
2007.10.02 00:13 rub Status feedback => closed
2007.10.02 00:13 rub Resolution reopened => fixed
2007.10.05 03:17 rvelices Status closed => feedback
2007.10.05 03:17 rvelices Resolution fixed => reopened
2007.10.05 03:17 rvelices Note Added: 0002000
2007.10.05 13:22 rub Note Added: 0002001
2007.10.06 08:40 rub Status feedback => closed
2007.10.06 08:40 rub Note Added: 0002002
2007.10.06 08:40 rub Resolution reopened => fixed
2007.10.06 08:40 rub Status closed => feedback
2007.10.06 08:40 rub Resolution fixed => reopened
2007.10.06 08:40 rub Note Edited: 0002002
2007.10.06 08:40 rub Status feedback => closed
2007.10.06 08:40 rub Resolution reopened => fixed
2008.06.07 22:22 plg Target Version => Butterfly


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker